## gr-iio 0.1.67

=== CMakeLists.txt ===
# Copyright 2011,2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.


########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.6)
project(gr-iio CXX C)

set(GR_IIO_VERSION_MAJOR 0)
set(GR_IIO_VERSION_MINOR 1)
set(GR_IIO_VERSION ${GR_IIO_VERSION_MAJOR}.${GR_IIO_VERSION_MINOR})

if (MSVC)
	# http://www.suodenjoki.dk/us/archive/2010/min-max.htm
	add_definitions(-DNOMINMAX)
endif (MSVC)

#select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)

########################################################################
# Compiler specific setup
########################################################################
if(CMAKE_COMPILER_IS_GNUCXX AND NOT WIN32)
    #http://gcc.gnu.org/wiki/Visibility
    add_definitions(-fvisibility=hidden)
endif()

########################################################################
# Find boost
########################################################################
if(UNIX AND EXISTS "/usr/lib64")
    list(APPEND BOOST_LIBRARYDIR "/usr/lib64") #fedora 64-bit fix
endif(UNIX AND EXISTS "/usr/lib64")
set(Boost_ADDITIONAL_VERSIONS
    "1.35.0" "1.35" "1.36.0" "1.36" "1.37.0" "1.37" "1.38.0" "1.38" "1.39.0" "1.39"
    "1.40.0" "1.40" "1.41.0" "1.41" "1.42.0" "1.42" "1.43.0" "1.43" "1.44.0" "1.44"
    "1.45.0" "1.45" "1.46.0" "1.46" "1.47.0" "1.47" "1.48.0" "1.48" "1.49.0" "1.49"
    "1.50.0" "1.50" "1.51.0" "1.51" "1.52.0" "1.52" "1.53.0" "1.53" "1.54.0" "1.54"
    "1.55.0" "1.55" "1.56.0" "1.56" "1.57.0" "1.57" "1.58.0" "1.58" "1.59.0" "1.59"
    "1.60.0" "1.60" "1.61.0" "1.61" "1.62.0" "1.62" "1.63.0" "1.63" "1.64.0" "1.64"
    "1.65.0" "1.65" "1.66.0" "1.66" "1.67.0" "1.67" "1.68.0" "1.68" "1.69.0" "1.69"
)
find_package(Boost "1.35" COMPONENTS filesystem system thread date_time chrono)

if(NOT Boost_FOUND)
    message(FATAL_ERROR "Boost required to compile iio")
endif()

########################################################################
# Install directories
########################################################################
include(GrPlatform) #define LIB_SUFFIX
set(GR_RUNTIME_DIR      bin)
if (NOT DEFINED GR_LIBRARY_DIR)
	set(GR_LIBRARY_DIR      lib${LIB_SUFFIX})
endif()
set(GR_INCLUDE_DIR      include)
set(GR_DATA_DIR         share)
set(GR_PKG_DATA_DIR     ${GR_DATA_DIR}/${CMAKE_PROJECT_NAME})
set(GR_DOC_DIR          ${GR_DATA_DIR}/doc)
set(GR_PKG_DOC_DIR      ${GR_DOC_DIR}/${CMAKE_PROJECT_NAME})
set(GR_CONF_DIR         etc)
set(GR_PKG_CONF_DIR     ${GR_CONF_DIR}/${CMAKE_PROJECT_NAME}/conf.d)
set(GR_LIBEXEC_DIR      libexec)
set(GR_PKG_LIBEXEC_DIR  ${GR_LIBEXEC_DIR}/${CMAKE_PROJECT_NAME})
set(GRC_BLOCKS_DIR      ${GR_PKG_DATA_DIR}/grc/blocks)

########################################################################
# Find gnuradio build dependencies
########################################################################
find_package(Doxygen)

# Search for GNU Radio and its components and versions. Add any
# components required to the list of GR_REQUIRED_COMPONENTS (in all
# caps such as FILTER or FFT) and change the version to the minimum
# API compatible version required.
set(GR_REQUIRED_COMPONENTS RUNTIME ANALOG BLOCKS PMT VOLK)
find_package(Gnuradio PATHS "c:/Program Files/gnuradio/lib/cmake/gnuradio" REQUIRED)

find_library(IIO_LIBRARIES iio)
find_path(IIO_INCLUDE_DIRS iio.h)
find_library(AD9361_LIBRARIES ad9361)
find_path(AD9361_INCLUDE_DIRS ad9361.h)

########################################################################
# Setup doxygen option
########################################################################
if(DOXYGEN_FOUND)
	option(ENABLE_DOXYGEN "Build docs using Doxygen" ON)
else(DOXYGEN_FOUND)
	option(ENABLE_DOXYGEN "Build docs using Doxygen" OFF)
endif(DOXYGEN_FOUND)

########################################################################
# Setup the include and linker paths
########################################################################
include_directories(
    ${CMAKE_SOURCE_DIR}/lib
    ${CMAKE_SOURCE_DIR}/include
    ${CMAKE_BINARY_DIR}/lib
    ${CMAKE_BINARY_DIR}/include
    ${Boost_INCLUDE_DIRS}
    ${GNURADIO_ALL_INCLUDE_DIRS}
)

link_directories(
    ${Boost_LIBRARY_DIRS}
    ${GNURADIO_RUNTIME_LIBRARY_DIRS}
)

# Set component parameters
set(GR_IIO_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/include CACHE INTERNAL "" FORCE)
set(GR_IIO_SWIG_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/swig CACHE INTERNAL "" FORCE)

########################################################################
# Create uninstall target
########################################################################
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

########################################################################
# Install pkg-config file
########################################################################
configure_file(
	${CMAKE_CURRENT_SOURCE_DIR}/gnuradio-iio.pc.in
	${CMAKE_CURRENT_BINARY_DIR}/gnuradio-iio.pc
	@ONLY)

install(
	FILES ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-iio.pc
	DESTINATION ${GR_LIBRARY_DIR}/pkgconfig
)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include/gnuradio/iio)
add_subdirectory(lib)
add_subdirectory(swig)
add_subdirectory(python/iio)
add_subdirectory(grc)

########################################################################
# Install cmake search helper for this library
########################################################################
install(FILES cmake/Modules/iioConfig.cmake
    DESTINATION lib/cmake/iio
)

=== grc/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

install(FILES
    iio_device_source.xml iio_device_sink.xml
	iio_fmcomms2_source.xml iio_fmcomms2_sink.xml
	iio_fmcomms5_source.xml iio_fmcomms5_sink.xml
	iio_math.xml iio_math_gen.xml iio_power_ff.xml
	DESTINATION share/gnuradio/grc/blocks
)

=== lib/CMakeLists.txt ===
# Copyright 2011,2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup library
########################################################################
include(GrPlatform) #define LIB_SUFFIX

include_directories(${Boost_INCLUDE_DIR} ${IIO_INCLUDE_DIRS} ${AD9361_INCLUDE_DIRS})
link_directories(${Boost_LIBRARY_DIRS})

include(FindFLEX REQUIRED)
include(FindBISON REQUIRED)

flex_target(lexer
	${CMAKE_CURRENT_SOURCE_DIR}/iio_math_lexer.l ${CMAKE_CURRENT_BINARY_DIR}/lexer.c)
bison_target(parser
	${CMAKE_CURRENT_SOURCE_DIR}/iio_math_parser.y ${CMAKE_CURRENT_BINARY_DIR}/parser.c)

list(APPEND iio_sources
    device_source_impl.cc
    device_sink_impl.cc
	fmcomms2_source_impl.cc
	fmcomms2_sink_impl.cc
	fmcomms5_source_impl.cc
	fmcomms5_sink_impl.cc
	converter_ss_impl.cc
	iio_math_impl.cc
	iio_math_gen_impl.cc
	iio_power_ff_impl.cc
	${FLEX_lexer_OUTPUTS}
	${BISON_parser_OUTPUTS}
)

set(iio_sources "${iio_sources}" PARENT_SCOPE)
if(NOT iio_sources)
	MESSAGE(STATUS "No C++ sources... skipping lib/")
	return()
endif(NOT iio_sources)

add_library(gnuradio-iio SHARED ${iio_sources})
target_link_libraries(gnuradio-iio
	${Boost_LIBRARIES}
	${IIO_LIBRARIES}
	${AD9361_LIBRARIES}
	${GNURADIO_ALL_LIBRARIES})
set_target_properties(gnuradio-iio PROPERTIES
	VERSION ${GR_IIO_VERSION}
	SOVERSION ${GR_IIO_VERSION_MAJOR}
	DEFINE_SYMBOL "gnuradio_iio_EXPORTS"
)

if(APPLE)
    set_target_properties(gnuradio-iio PROPERTIES
        INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib"
    )
endif(APPLE)

########################################################################
# Install built library files
########################################################################
install(TARGETS gnuradio-iio
	LIBRARY DESTINATION ${GR_LIBRARY_DIR} # .so/.dylib file
	ARCHIVE DESTINATION ${GR_LIBRARY_DIR} # .lib file
	RUNTIME DESTINATION ${GR_RUNTIME_DIR} # .dll file
)


########################################################################
# Setup the include and linker paths
########################################################################
#include_directories(
#	${GR_IIO_INCLUDE_DIRS}
#   ${GNURADIO_RUNTIME_INCLUDE_DIRS}
#   ${Boost_INCLUDE_DIRS}

=== rxtx/Makefile ===
TARGETS := fmcomms_transceiver

.PHONY: all
all: $(TARGETS)

fmcomms_transceiver: iio_transceiver.py
	mv $< $@

iio_transceiver.py: transceiver.grc .build_encoder .build_decoder
	grcc -d . $<

.build_encoder: encoder.grc
	grcc $<
	touch $@

.build_decoder: decoder.grc
	grcc $<
	touch $@

.PHONY: clean
clean:
	rm -f $(TARGETS) .build_encoder .build_decoder

=== swig/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Check if there is C++ code at all
########################################################################
if(NOT iio_sources)
	MESSAGE(STATUS "No C++ sources... skipping swig/")
	return()
endif(NOT iio_sources)

########################################################################
# Include swig generation macros
########################################################################
find_package(SWIG)
find_package(PythonLibs 2)
if(NOT SWIG_FOUND OR NOT PYTHONLIBS_FOUND)
    return()
endif()
include(GrSwig)
include(GrPython)

########################################################################
# Setup swig generation
########################################################################
foreach(incdir ${GNURADIO_RUNTIME_INCLUDE_DIRS})
    list(APPEND GR_SWIG_INCLUDE_DIRS ${incdir}/gnuradio/swig)
endforeach(incdir)

set(GR_SWIG_LIBRARIES gnuradio-iio)
GR_SWIG_MAKE(iio_swig iio_swig.i)

########################################################################
# Install the build swig module
########################################################################
GR_SWIG_INSTALL(TARGETS iio_swig DESTINATION ${GR_PYTHON_DIR}/gnuradio/iio)

########################################################################
# Install swig .i files for development
########################################################################
install(
    FILES
    iio_swig.i
    DESTINATION ${GR_INCLUDE_DIR}/swig
)

=== include/gnuradio/iio/CMakeLists.txt ===
# Copyright 2011,2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Install public header files
########################################################################
install(FILES
    api.h
    device_source.h device_sink.h
	fmcomms2_source.h fmcomms2_sink.h
	fmcomms5_source.h fmcomms5_sink.h
	converter_ss.h math.h power_ff.h
	DESTINATION ${GR_INCLUDE_DIR}/gnuradio/iio
)

=== debian/changelog ===
gr-iio (0.1.67-1) unstable; urgency=medium

  * Initial upload to Debian (closes: #814033)
  * Sponsor libiio for Paul Cercueil
  * update to v0.1-67-g542cfb2

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 27 Aug 2016 16:05:29 -0400

gr-iio (0.1.13-1) unstable; urgency=medium

  * update to v0.1-13-ga823869
  * debian (3.0) quilt format source
  * update Build-depends, regroup files into gr-iio and libgnuradio-iio0

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 29 Apr 2016 05:47:17 -0400

gr-iio (0.1) unstable; urgency=low

  * Initial release.

 -- Paul Cercueil <paul.cercueil@analog.com>  Wed, 8 Apr 2015 12:36:40 +0200

=== debian/control ===
Source: gr-iio
Section: libs
Priority: optional
Maintainer: Paul Cercueil <paul.cercueil@analog.com>
Uploaders: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: bison,
               cmake (>= 2.6),
               debhelper (>= 9),
               doxygen,
               flex,
               gnuradio-dev,
               libad9361-dev,
               libcppunit-dev,
               libiio-dev (>= 0.5),
               pkg-config,
	       python-dev,
               swig
Standards-Version: 3.9.8
Homepage: https://github.com/analogdevicesinc/gr-iio.git

Package: gr-iio
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libgnuradio-iio0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: IIO blocks for GnuRadio
 Libiio is a library that has been conceived to ease the development of
 applications interfacing Industrial Input/Output (IIO) devices through
 the IIO subsystem of the Linux kernel.
 .
 The IIO blocks for GnuRadio can be used to create flowgraphs that interface
 IIO devices through libiio.
 .
 This package contains the development files.

Package: libgnuradio-iio0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: IIO blocks for GnuRadio (runtime library)
 Libiio is a library that has been conceived to ease the development of
 applications interfacing Industrial Input/Output (IIO) devices through
 the IIO subsystem of the Linux kernel.
 .
 The IIO blocks for GnuRadio can be used to create flowgraphs that interface
 IIO devices through libiio.
 .
 This package contains the shared library.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --with python2

override_dh_auto_configure:
	dh_auto_configure -- -DGR_LIBRARY_DIR=lib/$(DEB_HOST_MULTIARCH) -DPythonLibs_FIND_VERSION:STRING="2.7" -DPYTHON_EXECUTABLE:STRING="/usr/bin/python"

override_dh_auto_install:
	dh_auto_install
	rm -f debian/gr-iio/usr/lib/python2.7/dist-packages/gnuradio/iio/*pyc
	rm -f debian/gr-iio/usr/lib/python2.7/dist-packages/gnuradio/iio/*pyo

override_dh_compress:
	dh_compress -X.c -X.C

## gr-iio 0.2.36

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,13 +25,18 @@
 project(gr-iio CXX C)
 
 set(GR_IIO_VERSION_MAJOR 0)
-set(GR_IIO_VERSION_MINOR 1)
+set(GR_IIO_VERSION_MINOR 2)
 set(GR_IIO_VERSION ${GR_IIO_VERSION_MAJOR}.${GR_IIO_VERSION_MINOR})
 
 if (MSVC)
 	# http://www.suodenjoki.dk/us/archive/2010/min-max.htm
 	add_definitions(-DNOMINMAX)
 endif (MSVC)
+
+if (WIN32 AND CMAKE_SIZEOF_VOID_P EQUAL 8)
+	# https://stackoverflow.com/questions/2842469/python-undefined-reference-to-imp-py-initmodule4
+	add_definitions(-DMS_WIN64)
+endif(WIN32 AND CMAKE_SIZEOF_VOID_P EQUAL 8)
 
 #select the release build type by default to get optimization flags
 if(NOT CMAKE_BUILD_TYPE)
@@ -65,7 +70,24 @@
     "1.60.0" "1.60" "1.61.0" "1.61" "1.62.0" "1.62" "1.63.0" "1.63" "1.64.0" "1.64"
     "1.65.0" "1.65" "1.66.0" "1.66" "1.67.0" "1.67" "1.68.0" "1.68" "1.69.0" "1.69"
 )
-find_package(Boost "1.35" COMPONENTS filesystem system thread date_time chrono)
+
+set(BOOST_REQUIRED_COMPONENTS filesystem system thread date_time)
+
+if(MSVC)
+    set(BOOST_REQUIRED_COMPONENTS ${BOOST_REQUIRED_COMPONENTS} chrono)
+
+    if (NOT DEFINED BOOST_ALL_DYN_LINK)
+        set(BOOST_ALL_DYN_LINK TRUE)
+    endif()
+    set(BOOST_ALL_DYN_LINK "${BOOST_ALL_DYN_LINK}" CACHE BOOL "boost enable dynamic linking")
+    if(BOOST_ALL_DYN_LINK)
+        add_definitions(-DBOOST_ALL_DYN_LINK) #setup boost auto-linking in msvc
+    else(BOOST_ALL_DYN_LINK)
+        unset(BOOST_REQUIRED_COMPONENTS) #empty components list for static link
+    endif(BOOST_ALL_DYN_LINK)
+endif(MSVC)
+
+find_package(Boost "1.35" COMPONENTS ${BOOST_REQUIRED_COMPONENTS})
 
 if(NOT Boost_FOUND)
     message(FATAL_ERROR "Boost required to compile iio")

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -40,10 +40,14 @@
 	fmcomms2_sink_impl.cc
 	fmcomms5_source_impl.cc
 	fmcomms5_sink_impl.cc
+	pluto_source_impl.cc
+	pluto_sink_impl.cc
 	converter_ss_impl.cc
 	iio_math_impl.cc
 	iio_math_gen_impl.cc
 	iio_power_ff_impl.cc
+	iio_modulo_ff_impl.cc
+	iio_modulo_const_ff_impl.cc
 	${FLEX_lexer_OUTPUTS}
 	${BISON_parser_OUTPUTS}
 )
@@ -53,6 +57,15 @@
 	MESSAGE(STATUS "No C++ sources... skipping lib/")
 	return()
 endif(NOT iio_sources)
+
+if ("${PC_GNURADIO_RUNTIME_VERSION}" VERSION_LESS 3.8.0)
+	set(GR_IS_VERSION_3_7_OR_LESS ON)
+endif()
+
+option(COMPAT_GR_3_7_OR_LESS "Compile for GNU Radio version 3.7 or less" ${GR_IS_VERSION_3_7_OR_LESS})
+if (COMPAT_GR_3_7_OR_LESS)
+	add_definitions(-DGR_VERSION_3_7_OR_LESS)
+endif()
 
 add_library(gnuradio-iio SHARED ${iio_sources})
 target_link_libraries(gnuradio-iio

=== swig/CMakeLists.txt ===
--- 
+++ 
@@ -45,11 +45,14 @@
 
 set(GR_SWIG_LIBRARIES gnuradio-iio)
 GR_SWIG_MAKE(iio_swig iio_swig.i)
+GR_SWIG_MAKE(iio_pluto_source_swig iio_pluto_source_swig.i)
+GR_SWIG_MAKE(iio_pluto_sink_swig iio_pluto_sink_swig.i)
 
 ########################################################################
 # Install the build swig module
 ########################################################################
-GR_SWIG_INSTALL(TARGETS iio_swig DESTINATION ${GR_PYTHON_DIR}/gnuradio/iio)
+GR_SWIG_INSTALL(TARGETS iio_swig iio_pluto_source_swig iio_pluto_sink_swig
+	DESTINATION ${GR_PYTHON_DIR}/gnuradio/iio)
 
 ########################################################################
 # Install swig .i files for development
@@ -57,5 +60,7 @@
 install(
     FILES
     iio_swig.i
+    iio_pluto_source_swig.i
+    iio_pluto_sink_swig.i
     DESTINATION ${GR_INCLUDE_DIR}/swig
 )

=== debian/changelog ===
gr-iio (0.2.36-2) unstable; urgency=medium

  * Adopt package (Closes: #874337), Add Vcs

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 06 Sep 2017 08:55:59 -0400

gr-iio (0.2.36-1) unstable; urgency=medium

  * New upstream 0.2 tag
  * update to v0.2-36-g54c86a5 for PLUTO board support
  * build with gnuradipo 3.7.11

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 04 Sep 2017 16:13:36 -0400

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: gr-iio
 Section: libs
 Priority: optional
-Maintainer: Paul Cercueil <paul.cercueil@analog.com>
-Uploaders: A. Maitland Bottoms <bottoms@debian.org>
+Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: bison,
                cmake (>= 2.6),
                debhelper (>= 9),
                doxygen,
                flex,
-               gnuradio-dev,
-               libad9361-dev,
+               gnuradio-dev (>= 3.7.11),
+               libad9361-dev (>= 0.1-3),
                libcppunit-dev,
-               libiio-dev (>= 0.5),
+               libiio-dev (>= 0.10),
                pkg-config,
 	       python-dev,
                swig
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://github.com/analogdevicesinc/gr-iio.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gr-iio.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/gr-iio.git
 
 Package: gr-iio
 Section: libdevel

=== debian/watch ===
version=3
# git source https://github.com/analogdevicesinc/gr-iio.git
# no tags, no releases, nothing to watch

## gr-iio 0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 project(gr-iio CXX C)
 
 set(GR_IIO_VERSION_MAJOR 0)
-set(GR_IIO_VERSION_MINOR 2)
+set(GR_IIO_VERSION_MINOR 3)
 set(GR_IIO_VERSION ${GR_IIO_VERSION_MAJOR}.${GR_IIO_VERSION_MINOR})
 
 if (MSVC)

=== grc/CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,8 @@
     iio_device_source.xml iio_device_sink.xml
 	iio_fmcomms2_source.xml iio_fmcomms2_sink.xml
 	iio_fmcomms5_source.xml iio_fmcomms5_sink.xml
+	iio_pluto_source.xml iio_pluto_sink.xml
 	iio_math.xml iio_math_gen.xml iio_power_ff.xml
+	iio_modulo_ff.xml iio_modulo_const_ff.xml
 	DESTINATION share/gnuradio/grc/blocks
 )

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,7 @@
 link_directories(${Boost_LIBRARY_DIRS})
 
 include(FindFLEX REQUIRED)
-include(FindBISON REQUIRED)
+find_package(BISON "3.0.2" REQUIRED)
 
 flex_target(lexer
 	${CMAKE_CURRENT_SOURCE_DIR}/iio_math_lexer.l ${CMAKE_CURRENT_BINARY_DIR}/lexer.c)

=== python/iio/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Include python install macros
########################################################################
include(GrPython)
if(NOT PYTHONINTERP_FOUND)
    return()
endif()

########################################################################
# Install python sources
########################################################################
GR_PYTHON_INSTALL(
    FILES
    __init__.py
    DESTINATION ${GR_PYTHON_DIR}/gnuradio/iio
)

=== include/gnuradio/iio/CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,8 @@
     device_source.h device_sink.h
 	fmcomms2_source.h fmcomms2_sink.h
 	fmcomms5_source.h fmcomms5_sink.h
+	pluto_source.h pluto_sink.h
 	converter_ss.h math.h power_ff.h
+	modulo_ff.h modulo_const_ff.h
 	DESTINATION ${GR_INCLUDE_DIR}/gnuradio/iio
 )

=== debian/changelog ===
gr-iio (0.3-9) unstable; urgency=medium

  * update to v0.3-46-gb3bd9ed
  * Drop boost::chrono dependency

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 04 Aug 2020 23:07:17 -0400

gr-iio (0.3-8) unstable; urgency=medium

  * update to v0.3-42-gd6d1f6a now with yml IIO blocks (Closes: #954733)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 27 Mar 2020 22:10:23 -0400

gr-iio (0.3-7) unstable; urgency=medium

  * depend upon dh-python since python3-dev no longer does

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 14 Jan 2020 23:49:49 -0500

gr-iio (0.3-6) unstable; urgency=medium

  * upload to unstable

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 28 Aug 2019 20:04:12 -0400

gr-iio (0.3-5) experimental; urgency=medium

  * d/copyright: Use https protocol in Format field -- Thanks Ondřej!
  * update to v0.3-27-g0005b95, build with gnuradio 3.8.0.0, Python3
  * upload to experimental due to soversion bump

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 18 Aug 2019 22:20:06 -0400

gr-iio (0.3-4) unstable; urgency=medium

  * upload to unstable
  * build with gnuradio 3.7.13.4

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 14 Sep 2018 17:10:06 -0400

gr-iio (0.3-3) unstable; urgency=medium

  * update to v0.3-22-gb6658f6 for GRCon 2018 Workshops
    new IIO Attribute blocks

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 14 Sep 2018 14:28:13 -0400

gr-iio (0.3-2) unstable; urgency=medium

  * VCS to salsa

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 14 Apr 2018 17:36:49 -0400

gr-iio (0.3-1) unstable; urgency=medium

  * New upstream 0.3 tag
  * update to v0.3-9-g1d0f7ec

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 13 Apr 2018 18:47:35 -0400

=== debian/control ===
Source: gr-iio
Section: libs
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: bison,
               cmake,
               debhelper (>= 12),
	       dh-python,
               doxygen,
               flex,
               gnuradio-dev (>= 3.8),
               libad9361-dev (>= 0.2),
               libcppunit-dev,
	       libgmp-dev,
               libiio-dev (>= 0.18),
	       liborc-0.4-dev,
               pkg-config,
	       python3-dev,
               swig
Standards-Version: 4.5.0
Homepage: https://github.com/analogdevicesinc/gr-iio.git
Vcs-Browser: https://salsa.debian.org/debian/gr-iio
Vcs-Git: https://salsa.debian.org/debian/gr-iio.git

Package: gr-iio
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends}, libgnuradio-iio1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: IIO blocks for GnuRadio
 Libiio is a library that has been conceived to ease the development of
 applications interfacing Industrial Input/Output (IIO) devices through
 the IIO subsystem of the Linux kernel.
 .
 The IIO blocks for GnuRadio can be used to create flowgraphs that interface
 IIO devices through libiio.
 .
 This package contains the development files.

Package: libgnuradio-iio1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: IIO blocks for GnuRadio (runtime library)
 Libiio is a library that has been conceived to ease the development of
 applications interfacing Industrial Input/Output (IIO) devices through
 the IIO subsystem of the Linux kernel.
 .
 The IIO blocks for GnuRadio can be used to create flowgraphs that interface
 IIO devices through libiio.
 .
 This package contains the shared library.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) -DPYTHON_EXECUTABLE=/usr/bin/python3

override_dh_auto_install:
	dh_auto_install
	rm -f debian/gr-iio/usr/lib/python3/dist-packages/gnuradio/iio/*pyc
	rm -f debian/gr-iio/usr/lib/python3/dist-packages/gnuradio/iio/*pyo

override_dh_compress:
	dh_compress -X.c -X.C

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/v$1.tar.gz/ \
  https://github.com/analogdevicesinc/gr-iio/tags .*/v(\d\S*)\.tar\.gz
